Debian Bug report logs - #627677
alternative initramfs compressor

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Colin Watson <cjwatson@ubuntu.com>

Date: Mon, 23 May 2011 14:51:01 UTC

Severity: wishlist

Tags: patch

Found in version live-build/3.0~a17-1

Fixed in version live-build/3.0~a21-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#627677; Package live-build. (Mon, 23 May 2011 14:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 23 May 2011 14:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: submit@bugs.debian.org
Subject: alternative initramfs compressor
Date: Mon, 23 May 2011 15:47:18 +0100
[Message part 1 (text/plain, inline)]
Package: live-build
Version: 3.0~a17-1
Severity: wishlist
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu ubuntu-patch oneiric

We compress the initramfs on the Ubuntu live CD with LZMA to save a bit
of space.  Here's a patch to allow live-build to do this.

Thanks,

-- 
Colin Watson                                       [cjwatson@ubuntu.com]
[0001-Add-initramfs-compression-option.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#627677; Package live-build. (Tue, 24 May 2011 15:45:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri+debian-live@boum.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 24 May 2011 15:45:11 GMT) Full text and rfc822 format available.

Message #10 received at 627677@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri+debian-live@boum.org>
To: Colin Watson <cjwatson@ubuntu.com>
Cc: 627677@bugs.debian.org
Subject: Re: Bug#627677: alternative initramfs compressor
Date: Tue, 24 May 2011 17:41:44 +0200
Hi,

Colin Watson wrote (23 May 2011 14:47:18 GMT) :
> We compress the initramfs on the Ubuntu live CD with LZMA to save a
> bit of space. Here's a patch to allow live-build to do this.

I do like the idea. We've been using initramfs-tools' COMPRESS=lzma in
Tails for a few months, and I would greatly welcome having such
support integrated in some way into Debian Live. Thank you, Colin, for
working on this feature.

> +		# We probably ought to use COMPRESS= in a temporary file in
> +		# /etc/initramfs-tools/conf.d/ instead, but it's hard to
> +		# pass options that way.

If this is your only reason to decompress / recompress the ramdisks
(implicitly depending on those being compressed using gzip in the
first place), wouldn't it be better to make initramfs-tools support a
COMPRESS_OPTIONS option + indeed use its conf.d/ to set COMPRESS=,
rather than adding the same options to live-build?

I believe it would be more robust for Debian Live users, easier to
maintain for Debian Live developers, and would as a bonus benefit to
all other initramfs-tools users.

Bye,
-- 
  intrigeri <intrigeri@boum.org>
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc
  | The impossible just takes a bit longer.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#627677; Package live-build. (Tue, 24 May 2011 16:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 24 May 2011 16:42:05 GMT) Full text and rfc822 format available.

Message #15 received at 627677@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: intrigeri <intrigeri+debian-live@boum.org>
Cc: 627677@bugs.debian.org, 592519@bugs.debian.org
Subject: Re: Bug#627677: alternative initramfs compressor
Date: Tue, 24 May 2011 17:38:51 +0100
On Tue, May 24, 2011 at 05:41:44PM +0200, intrigeri wrote:
> Colin Watson wrote (23 May 2011 14:47:18 GMT) :
> > +		# We probably ought to use COMPRESS= in a temporary file in
> > +		# /etc/initramfs-tools/conf.d/ instead, but it's hard to
> > +		# pass options that way.
> 
> If this is your only reason to decompress / recompress the ramdisks
> (implicitly depending on those being compressed using gzip in the
> first place), wouldn't it be better to make initramfs-tools support a
> COMPRESS_OPTIONS option + indeed use its conf.d/ to set COMPRESS=,
> rather than adding the same options to live-build?

It probably would, which is why I added a comment; but live-build will
need it at least for a while anyway, to support older distributions.
(And there isn't much difference in code size.)

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=592519 has been filed
for a while requesting the change you suggest.  I've CCed that bug to
indicate the link.

-- 
Colin Watson                                       [cjwatson@ubuntu.com]




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Mon, 13 Jun 2011 19:03:09 GMT) Full text and rfc822 format available.

Notification sent to Colin Watson <cjwatson@ubuntu.com>:
Bug acknowledged by developer. (Mon, 13 Jun 2011 19:03:09 GMT) Full text and rfc822 format available.

Message #20 received at 627677-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 627677-close@bugs.debian.org
Subject: Bug#627677: fixed in live-build 3.0~a21-1
Date: Mon, 13 Jun 2011 19:02:51 +0000
Source: live-build
Source-Version: 3.0~a21-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive:

live-build-cgi_3.0~a21-1_all.deb
  to main/l/live-build/live-build-cgi_3.0~a21-1_all.deb
live-build_3.0~a21-1.debian.tar.gz
  to main/l/live-build/live-build_3.0~a21-1.debian.tar.gz
live-build_3.0~a21-1.dsc
  to main/l/live-build/live-build_3.0~a21-1.dsc
live-build_3.0~a21-1_all.deb
  to main/l/live-build/live-build_3.0~a21-1_all.deb
live-build_3.0~a21.orig.tar.gz
  to main/l/live-build/live-build_3.0~a21.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 627677@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 13 Jun 2011 20:42:13 +0200
Source: live-build
Binary: live-build live-build-cgi
Architecture: source all
Version: 3.0~a21-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Debian Live - System Build Scripts
 live-build-cgi - Debian Live - System Build Scripts (cgi frontend)
Closes: 627677 629637 630350
Changes: 
 live-build (3.0~a21-1) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Obtaining the live passes package selection information at the
     latest point to catch all other modifications in the package
     selection.
   * Moving installation of live packages to second pass.
   * Removing now unecessary stagefile check in lb_source.
   * Correct lb cleans source removals.
 .
   [ Colin Watson ]
   * Add --swap-file-path and --swap-file-size options (Closes: #629637).
   * Divert flash-kernel aside while building the chroot (Closes:
     #630350).
   * Add --initramfs-compression option (Closes: #627677).
Checksums-Sha1: 
 0a8aa2989a2bf98500deab3ba0c96626f9357fa7 1282 live-build_3.0~a21-1.dsc
 8ac7c300a633007324ef45fb9ed96c9d593816e9 1886786 live-build_3.0~a21.orig.tar.gz
 ac0892dfc5bcd305538cdcc5b48927302980c6ad 41818 live-build_3.0~a21-1.debian.tar.gz
 e854dd96a4ad3a9cc4344aff8395f883a3cb2e87 1130664 live-build_3.0~a21-1_all.deb
 7838cde2af8c81cdab30f5a23dffd6ba72a3b6e5 58300 live-build-cgi_3.0~a21-1_all.deb
Checksums-Sha256: 
 0c4bb39620b0f44794630c09c64c0ec05f2eb79957bf94948948ad1ffdb3cf02 1282 live-build_3.0~a21-1.dsc
 dee4a7dcd7fe5756e4fecbd7b717c2c4432897d1ce0fc8020667784e3e17f113 1886786 live-build_3.0~a21.orig.tar.gz
 4dd813d7dd1fed0a5bb5be6162b6d2f6b1aa5792f54184b6a2714d029e30107f 41818 live-build_3.0~a21-1.debian.tar.gz
 4037f117ddf6260a746f492c2c030ec8b8476ac48cd0f62c39cb14528a6cf004 1130664 live-build_3.0~a21-1_all.deb
 88fd284707c3f597d0a8ad23a8e9ca9e0796e85974ee55b8948ed8922f34970f 58300 live-build-cgi_3.0~a21-1_all.deb
Files: 
 f6ea9cf3c272a31b24626a195975bd95 1282 misc optional live-build_3.0~a21-1.dsc
 f683ee2e661e2156c30761cd57f6f31f 1886786 misc optional live-build_3.0~a21.orig.tar.gz
 ca6f697fb711deeec129236e3746d11b 41818 misc optional live-build_3.0~a21-1.debian.tar.gz
 6943373d729a47b72268b218fc2a7a13 1130664 misc optional live-build_3.0~a21-1_all.deb
 5cf3d6ab881424a334e9b5722a908575 58300 misc optional live-build-cgi_3.0~a21-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk32W4EACgkQ+C5cwEsrK54NVQCgp0cuhWAkaFXVrtkZZxFxwBY/
xtIAoLugbKZrYHyPzI66y4518odcJ3hG
=ANaa
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 22 Jul 2011 07:35:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 03:44:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.